// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::ColumnLayout;
use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlPreferencesFlowBox")]
    pub struct PreferencesFlowBox(Object<ffi::DzlPreferencesFlowBox, ffi::DzlPreferencesFlowBoxClass>) @extends ColumnLayout, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_preferences_flow_box_get_type(),
    }
}

impl PreferencesFlowBox {
    #[doc(alias = "dzl_preferences_flow_box_new")]
    pub fn new() -> PreferencesFlowBox {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_preferences_flow_box_new()).unsafe_cast() }
    }
}

impl Default for PreferencesFlowBox {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for PreferencesFlowBox {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("PreferencesFlowBox")
    }
}
